import React from 'react';
import { Comparator } from './TableSortUtils';
export interface TableColumn {
    title?: string;
    key: string;
    allowSort?: boolean;
    comparator?: Comparator;
    renderCell?: (row: any) => JSX.Element;
}
interface PaginationProps {
    pagination?: boolean;
    rowsCount?: number;
    page?: number;
    handlePageChange?: (event: React.MouseEvent<HTMLButtonElement> | null, newPage: number) => void;
    rowsPerPage?: number;
    handlePageSizeChange?: (event: React.ChangeEvent<HTMLTextAreaElement | HTMLInputElement>) => void;
}
interface OrderingProps {
    orderBy?: string;
}
export interface TableProps extends PaginationProps, OrderingProps {
    title?: string;
    rows: any;
    columns: TableColumn[];
    controls?: () => JSX.Element;
    enumerated?: boolean;
    loading?: boolean;
}
export declare const Table: (props: TableProps) => JSX.Element;
export {};
